@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg: #fff;
    --text: #fff;
    --accent: #02A5E2;
  }

section{
    padding: 100px;
    width: 100%;
    min-height: 100vh;
    background: #fff;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

}

.logo {
    text-decoration: none;
    font-size: 2em;
    color: #111;
    font-weight: 700;
    position: relative;
    max-width: 130px;
    display: block; /* Asegura que tome todo el ancho */
    text-align: center; /* Centra el texto */
    margin: 0 auto; /* Centra horizontalmente */
}

.logo-back-padre {
    display: flex;
    align-items: center;  /* Centrar verticalmente */
    justify-content: center;  /* Centrar horizontalmente */
    position: relative; /* Permite posicionar la flecha correctamente */
    width: 100%;
}

.logo-back {
    position: absolute;
    left: 10px; /* Ajusta según el diseño */
    font-size: 1.5rem;
    cursor: pointer;
}

.logo-back h2{
    color: #02A5E2;
}

.back-icon{
    display: block;
    color: black;
    font-size: 2.3rem;
}

.back-icon:hover{
    color: rgb(110, 110, 110);
    background: transparent;
    transition: box-shadow 0.3s ease;
}


.logo-back h2 a ion-icon{
    color: #111;
}

.logo-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

.logo-back h2{
    font-size: 2em;
    font-weight: 700;
    color: #02A5E2;
}

.contenedor {
    min-width: 200px;  /* Define un ancho similar al de la segunda imagen */
    height: auto;  /* Permite que el contenido defina la altura */
    padding: 30px; /* Agrega espacio dentro del contenedor */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: white;
    border-radius: 10px; /* Bordes redondeados */
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2); /* Sombra más pronunciada */
    position: relative;
    
}


.contenedor .textBx{
    width: 600px;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 30px;
    max-width: 300px;
    justify-content: center;
  
}

.contenedor .textBx h2{
    font-size: 1,5em;
    color: #111;
    line-height: 1.4em;
    font-weight: 500;
    text-align: center;
}

.contenedor .textBx input{
    width: 100%; /* Que ocupen todo el ancho disponible */
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 15px;
    
}

.form-group-button{
    display: flex;
    justify-content: center;
    align-items: center;
}

.contenedor .textBx a{
    display: inline-block;
    padding: 12px 25px;
    margin-top: 20px;
    border: 1px solid #111;
    color: #111;
    text-decoration: none;
    font-weight: 500;
    letter-spacing: 1px;
    transition: 0.7s;
    text-align: center;

}

.contenedor .textBx button{
    display: inline-block;
    height: 40px;
    padding: 5px 25px;
    margin-top: 20px;
    border: 1px solid #02A5E2;
    color: #fff;
    background: #02A5E2;
    border-radius: 15px;
    text-decoration: none;
    font-weight: 500;
    letter-spacing: 1px;
    transition: 0.7s;
    text-align: center;
    cursor: pointer;

}

.contenedor .textBx button:hover{
    box-shadow: 0 4px 10px #02A5E2;
    transition: box-shadow 0.3s ease;
}

.logo-back-padre .logo-back .back{
    display: block;
    padding: 0px 0px;
    margin-top: 0px;
    color: transparent;
    text-decoration: none;
    font-weight: 500;
    letter-spacing: 1px;
    border: none;
    transition: none;
}

.logo-back-padre .logo-back .back:hover{
    background: none;
    color: #fff;
}



.contenedor .textBx a:hover{
    background: #02A5E2;
    color: #fff;
    
}

.contenedor .textBx button:hover{
    background: #02A5E2;
    color: #fff;
    
}

.form-group {
    --pad: .75rem;
    position: relative;
    margin: 20px;
  }
  
.form-group input {
    padding: var(--pad);
    border-radius: 8px;
    background-color: var(--bg);
    border: 1px solid #eee;
    color: inherit;
    width: 300px;
    outline: none;
  }
.form-group label {
    position: absolute;
    left: var(--pad);
    top: var(--pad);
    background: var(--bg);
    padding-inline: .3em;
    transition: transform 200ms;
    pointer-events: none;
    transform-origin: left;
    translate: -.3em;
    color: #bbbbbb;
  }
  
  input::placeholder {
    opacity: 0;
  }
  input:focus + label,
  input:not(:placeholder-shown) + label {
    transform: translateY(calc(-50% - var(--pad))) scale(.8);
    color: var(--accent);
  }
  
  input:focus {
    border: 1px solid var(--accent);
  }

svg {
    width: 100%;
    height: 100%;
    visibility: hidden;
  }


/* Slider animacion  Libreria*/
 .swiper {
    width: 100%;
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .imgBx .swiper-slide {
    background-position: center;
    background-size: cover;
    width:  100%;
    height: 500px;
    display: flex;
    justify-content: center;
  }

  .imgBx .swiper-slide img {
    display: block;
    width: 400%;
  }

  .contenedor .imgBx{
      width: 520px;
      display: flex;
      justify-content: flex-end;
  }

  .contenedor .imgBx  img{
    max-width: 100%;
  }

  .swiper-slide img{
      position: relative;
      bottom: 0;
      max-height: 100%;
      z-index: 50;
  }

  .swiper-3d .swiper-slide-shadow-right,
  .swiper-3d .swiper-slide-shadow-left {
    background-image: none !important;
} 

#loginMicrosoft{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background-color: #ffffff;
    color: black;
}


@keyframes animateWave{
    0%{
        background-position-x: 1000px;
    }
    100%{
        background-position-x: 0px;
    }
}

@keyframes animateWave_02{
    0%{
        background-position-x: 0px;
    }
    100%{
        background-position-x: 1000px;
    }
}




@media(max-width:991px){
    header{
        padding: 40px;
    }

    section{
        padding: 150px 40px;
    }

    footer .redes {
    
        justify-content: center;
        
    }

    .contenedor{
        flex-direction: column;
    }

    .contenedor .textBx{
        max-width: 100%;
    }

    .contenedor .imgBx{
        max-width: 100%;
    }

    .imgBx .swiper-slide{
        height: 400px;
    }



    header .navegador{
        display: none;
        
    }

    header .navegador.active{
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background: #02A5E2;
        z-index: 100;
        
    }

    header .navegador.active a{
        color: #fff;
    }
    

    header .navegador li a{
        
        font-size: 1.6em;
        margin-left: 0;
        margin: 10px 0;
        
    }

    .funcionNav{
        position: relative;
        width: 40px;
        height: 40px;
        background: url(../img/menu.png);
        filter: invert(0);
        background-size: 30px;
        background-repeat: no-repeat;
        background-position: center;
        cursor: pointer;
        z-index: 1000;
    }

    .funcionNav.active{
        background: url(../img/close.png);
        background-size: 25px;
        background-position: center;
        background-repeat: no-repeat;
        cursor: pointer;
        filter: invert(0);
        
    }
}

@media (max-width: 480px) {

    .contenedor .textBx input{
        font-size: 12px;
    }

    .logo-back h2{
        font-size: 1em;
    }

    .logo{

        max-width: 102px
    }

    .form-group label{
        font-size: 11px;
    }

    .form-group-button{
        display: flex;
        padding: 0px 0px;
        margin-top: 20px;
        color: #111;
        text-decoration: none;
        font-weight: 500;
        letter-spacing: 1px;
        transition: 0.7s;
        text-align: center;
        font-size: 10px;
    
        }
}

@media (max-width: 360px) {

    
    .logo-back h2{
        font-size: 1rem;
    }

    .logo{

        max-width: 80px
    }

    label{
        font-size: 10px;
    }


    .contenedor .textBx h2{
        font-size: 18px;
    }

    .contenedor .textBx input
    {
        font-size: 10px;
    }

    .form-group-button{
        display: flex;
        padding: 10px 10px;
        margin-top: 20px;
        color: #111;
        text-decoration: none;
        font-weight: 200;
        letter-spacing: 1px;
        transition: 0.7s;
        text-align: center;

    
        }

    .form-group label{
        font-size: 10px;
    }

}